CURLMOPT_MAX_CONCURRENT_STREAMS(3)

NAME
CURLMOPT_MAX_CONCURRENT_STREAMS - max concurrent streams for http2

SYNOPSIS
#include <curl/curl.h>
CURLMcode curl_multi_setopt(CURLM *handle, CURLMOPT_MAX_CONCURRENT_STREAMS,
                            long max);

DESCRIPTION
Pass a long indicating the max. The set number is used as the maximum number of concurrent streams for a connections that libcurl should support on connections done using HTTP/2. Valid values range from 1 to 2147483647 (2^31 - 1) and defaults to 100. The value passed here would be honored based on other system resources properties.

DEFAULT
100

PROTOCOLS
All

EXAMPLE
  CURLM *m = curl_multi_init();
  /* max concurrent streams 200 */
  curl_multi_setopt(m, CURLMOPT_MAX_CONCURRENT_STREAMS, 200L);

AVAILABILITY
Added in 7.67.0

RETURN VALUE
Returns CURLM_OK if the option is supported, and CURLM_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_MAXCONNECTS(3), CURLMOPT_MAXCONNECTS(3),